i2p.susi.webmail.encoding

## Class HTML

- java.lang.Object
- - i2p.susi.webmail.encoding.HTML

- All Implemented Interfaces:
    Encoding

      public class HTML
      extends Object
      implements Encoding

  Author:
    user

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTML()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadBuffer` | `decode(byte[] in)`
    `ReadBuffer` | `decode(byte[] in, int offset, int length)`
    `ReadBuffer` | `decode(ReadBuffer in)`
    `ReadBuffer` | `decode(String str)`
    `String` | `encode(byte[] in)`
    `String` | `encode(String str)`
    `String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTML

          public HTML()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Encoding`

    - #### encode

          public String encode(byte[] in)
                        throws EncodingException

      Specified by:
        `encode` in interface `Encoding`
      Returns:
        Encoded string.
      Throws:
        `EncodingException`

    - #### encode

          public String encode(String str)
                        throws EncodingException

      Specified by:
        `encode` in interface `Encoding`
      Throws:
        `EncodingException`
      See Also:
        `Encoding.encode(byte[])`

    - #### decode

          public ReadBuffer decode(byte[] in)
                            throws DecodingException

      Specified by:
        `decode` in interface `Encoding`
      Throws:
        `DecodingException`
      See Also:
        `Encoding.decode(byte[], int, int)`

    - #### decode

          public ReadBuffer decode(byte[] in,
                          int offset,
                          int length)
                            throws DecodingException

      Specified by:
        `decode` in interface `Encoding`
      Returns:
        Output buffer containing decoded String.
      Throws:
        `DecodingException`

    - #### decode

          public ReadBuffer decode(String str)
                            throws DecodingException

      Specified by:
        `decode` in interface `Encoding`
      Throws:
        `DecodingException`
      See Also:
        `Encoding.decode(byte[], int, int)`

    - #### decode

          public ReadBuffer decode(ReadBuffer in)
                            throws DecodingException

      Specified by:
        `decode` in interface `Encoding`
      Throws:
        `DecodingException`
      See Also:
        `Encoding.decode(byte[], int, int)`